Remove a workspace member

Remove a user from the workspace and its projects. Only the workspace owner can remove members, and the owner cannot be removed.


DELETE/api/v1/workspaces/{workspaceId}/members/{userId}

Authorization

Authorization required string · header
Send Bearer <token> with an account API key that has the members:write scope.

Path parameters

workspaceId required string
Workspace ID. See TeamModel.
userId required string
User ID. See UserModel.

Response

200 · application/json

Source model: TeamMemberModel.

FieldTypeDescription
removedbooleanWhether the membership was removed.
workspaceIdstringWorkspace ID.
userIdstringUser ID.